﻿using Microsoft.Maps.MapControl.WPF;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TrailMapManager.Common.Poi
{
    public class PoiPoint : BaseViewLogic, IEqualityComparer<PoiPoint>
    {
        private Location _position;
        public Location Position
        {
            get { return _position; }
            set { _position = value; NotifyPropertyChanged("Position"); }
        }

        private string _name;
        public string Name
        {
            get { return _name; }
            set { _name = value; NotifyPropertyChanged("Name"); }
        }


        private string _description;
        public string Description
        {
            get { return _description; }
            set { _description = value; NotifyPropertyChanged("Description"); }
        }

        private Guid _id;
        public Guid Id
        {
            get { return _id; }
            set { _id = value; NotifyPropertyChanged("Id"); }
        }


        public bool Equals(PoiPoint x, PoiPoint y)
        {
            return x.Id.Equals(y.Id);

        }

        public int GetHashCode(PoiPoint obj)
        {
            return obj.GetHashCode(obj);
        }
    }
}
