﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using TrailMapManager.Common;
using TrailMapManager.Modules.Overview;
using TrailMapManager.Modules.Maps;
using TrailMapManager.Modules.Track;
using TrailMapManager.Modules.Poi;

namespace TrailMapManager.Logic
{
    public class ProgramManager
    {
        public CommunicationManager CommMan
        {
            get
            {
                return CommunicationManager.Instance;
            }
        }
        private List<BaseModule> _modules;
        public List<BaseModule> Modules
        {
            get
            {
                if (_modules == null)
                {
                    _modules = new List<BaseModule>();
                }
                return _modules;
            }
        }

        public ProgramManager()
        {
            Modules.Add(new OverviewModule());
            Modules.Add(new MapsModule());
            Modules.Add(new TrackModule());
            Modules.Add(new PoiModule());
        }
        
    }
}
